<?

function loads_rename($dir)
{
include_once H.'sys/fnc/translit.php';
$dir=str_replace("//", "/", $dir);
$od=opendir("$dir/$rd");
while ($rd=readdir($od))
{
if (is_dir("$dir/$rd") && $rd!='.' && $rd!='..')
{
loads_rename("$dir/$rd");
}
elseif (is_file("$dir/$rd") && ereg('^!',$rd))
{
$rd2=translit(ereg_replace('^!|\.[^\.]*$',NULL,$rd));
file_put_contents("$dir/$rd.name",$rd2);
rename("$dir/$rd", ereg_replace('^!',NULL,$rd));
}

}

$dir1=ereg_replace('^.*/', NULL, $dir);
if (ereg('^!',$dir1))
{
file_put_contents("$dir/.dirname",translit(ereg_replace('^!',NULL,$dir1)));
rename($dir, str_replace('!',NULL,$dir));

}

}
?>